# swagger.api.JobsApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getJobs**](JobsApi.md#getJobs) | **GET** /jobs | /jobs
[**postJob**](JobsApi.md#postJob) | **POST** /jobs | /jobs

# **getJobs**
> Jobs getJobs(objectLimit, objectOffset, filterSameAccount, filterTitle, filterStatus, filterDateFrom, filterDateTo, filterDateUntilFrom, filterDateUntilTo, filterCostCenter, sortField, sortOrder)

/jobs

Description: Resource to obtain a list of fax jobs

### Example
```dart
import 'package:swagger/api.dart';
// TODO Configure API key authorization: ApiAuthKey
//swagger.api.Configuration.apiKey{'X-Auth-Token'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//swagger.api.Configuration.apiKeyPrefix{'X-Auth-Token'} = "Bearer";

var api_instance = new JobsApi();
var objectLimit = 56; // int | Query parameter to change de default limitation of objects in the result data array
var objectOffset = 56; // int | Query parameter to change de default offset of objects in the result data array
var filterSameAccount = true; // bool | Query parameter to fetch jobs after the api account linked to the used token/key for authorization
var filterTitle = filterTitle_example; // String | Query parameter to fetch jobs after his title
var filterStatus = filterStatus_example; // String | Query parameter to fetch jobs after his status
var filterDateFrom = 2013-10-20T19:20:30+01:00; // DateTime | Query parameter to fetch jobs with a later date in TimeToSend. Can be combined with filterDateTo to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like '2022-01-01T10:00:00+01:00'. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00)
var filterDateTo = 2013-10-20T19:20:30+01:00; // DateTime | Query parameter to fetch jobs with a previous date in TimeToSend. Can be combined with filterDateFrom to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like '2022-01-01T10:00:00+02:00'. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00
var filterDateUntilFrom = 2013-10-20T19:20:30+01:00; // DateTime | Query parameter to fetch jobs with a later date in TimeToSendUntil. Can be combined with filterDateUntilTo to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like '2022-01-01T10:00:00+01:00'. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00)
var filterDateUntilTo = 2013-10-20T19:20:30+01:00; // DateTime | Query parameter to fetch jobs with a previous date in TimeToSendUntil. Can be combined with filterDateUIntilFrom to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like '2022-01-01T10:00:00+02:00'. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00
var filterCostCenter = filterCostCenter_example; // String | Query parameter to fetch jobs after his cost center
var sortField = sortField_example; // String | Available sort options for the result data array.
var sortOrder = sortOrder_example; // String | Describes the order for used sort fields

try {
    var result = api_instance.getJobs(objectLimit, objectOffset, filterSameAccount, filterTitle, filterStatus, filterDateFrom, filterDateTo, filterDateUntilFrom, filterDateUntilTo, filterCostCenter, sortField, sortOrder);
    print(result);
} catch (e) {
    print("Exception when calling JobsApi->getJobs: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **objectLimit** | **int**| Query parameter to change de default limitation of objects in the result data array | [optional] [default to 100]
 **objectOffset** | **int**| Query parameter to change de default offset of objects in the result data array | [optional] [default to 0]
 **filterSameAccount** | **bool**| Query parameter to fetch jobs after the api account linked to the used token/key for authorization | [optional] [default to false]
 **filterTitle** | **String**| Query parameter to fetch jobs after his title | [optional] 
 **filterStatus** | **String**| Query parameter to fetch jobs after his status | [optional] 
 **filterDateFrom** | **DateTime**| Query parameter to fetch jobs with a later date in TimeToSend. Can be combined with filterDateTo to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like &#x27;2022-01-01T10:00:00+01:00&#x27;. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00) | [optional] 
 **filterDateTo** | **DateTime**| Query parameter to fetch jobs with a previous date in TimeToSend. Can be combined with filterDateFrom to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like &#x27;2022-01-01T10:00:00+02:00&#x27;. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00 | [optional] 
 **filterDateUntilFrom** | **DateTime**| Query parameter to fetch jobs with a later date in TimeToSendUntil. Can be combined with filterDateUntilTo to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like &#x27;2022-01-01T10:00:00+01:00&#x27;. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00) | [optional] 
 **filterDateUntilTo** | **DateTime**| Query parameter to fetch jobs with a previous date in TimeToSendUntil. Can be combined with filterDateUIntilFrom to define a period of interest. The format must comply with ISO 8601 and must contain date and time, like &#x27;2022-01-01T10:00:00+02:00&#x27;. Please also consider urlencoding (2022-01-01T10%3A00%3A00%2B01%3A00 | [optional] 
 **filterCostCenter** | **String**| Query parameter to fetch jobs after his cost center | [optional] 
 **sortField** | **String**| Available sort options for the result data array. | [optional] 
 **sortOrder** | **String**| Describes the order for used sort fields | [optional] [default to asc]

### Return type

[**Jobs**](Jobs.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **postJob**
> InlineResponse201 postJob(body)

/jobs

Description: Resource to create a new fax job

### Example
```dart
import 'package:swagger/api.dart';
// TODO Configure API key authorization: ApiAuthKey
//swagger.api.Configuration.apiKey{'X-Auth-Token'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//swagger.api.Configuration.apiKeyPrefix{'X-Auth-Token'} = "Bearer";

var api_instance = new JobsApi();
var body = new JobPost(); // JobPost | Describes the required request body to create a new fax job

try {
    var result = api_instance.postJob(body);
    print(result);
} catch (e) {
    print("Exception when calling JobsApi->postJob: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**JobPost**](JobPost.md)| Describes the required request body to create a new fax job | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

[ApiAuthKey](../README.md#ApiAuthKey)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

