part of swagger.api;

class JobPost {
  
  JobPostOptions options = null;
/* Describes an array of template documents. One is required. 5 templates are max  */
  List<Template> templates = [];
/* Describes an array of recipients. One is required if distribution list is not used. 9999 recipient are max  */
  List<JobPostRecipient> recipients = [];
/* Describes an array of distribution lists identification numbers. One is required if recipients lists is not used */
  List<String> distributionLists = [];

  JobPost();

  @override
  String toString() {
    return 'JobPost[options=$options, templates=$templates, recipients=$recipients, distributionLists=$distributionLists, ]';
  }

  JobPost.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    options = new JobPostOptions.fromJson(json['options']);
    templates = Template.listFromJson(json['templates']);
    recipients = JobPostRecipient.listFromJson(json['recipients']);
    distributionLists = (json['distributionLists'] as List).map((item) => item as String).toList();
  }

  Map<String, dynamic> toJson() {
    return {
      'options': options,
      'templates': templates,
      'recipients': recipients,
      'distributionLists': distributionLists
     };
  }

  static List<JobPost> listFromJson(List<dynamic> json) {
    return json == null ? new List<JobPost>() : json.map((value) => new JobPost.fromJson(value)).toList();
  }

  static Map<String, JobPost> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, JobPost>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new JobPost.fromJson(value));
    }
    return map;
  }
}
