part of swagger.api;

class Notification {
  /* The type of the notification which can be requested by the support */
  String type = null;
/* Describes if the notification was triggered successfully */
  bool triggeredSuccessful = null;
/* Describes if the notification was triggered not successfully */
  bool triggeredError = null;
/* The destination of the type, like a email address or a url */
  String destination = null;

  Notification();

  @override
  String toString() {
    return 'Notification[type=$type, triggeredSuccessful=$triggeredSuccessful, triggeredError=$triggeredError, destination=$destination, ]';
  }

  Notification.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    type = json['type'];
    triggeredSuccessful = json['triggeredSuccessful'];
    triggeredError = json['triggeredError'];
    destination = json['destination'];
  }

  Map<String, dynamic> toJson() {
    return {
      'type': type,
      'triggeredSuccessful': triggeredSuccessful,
      'triggeredError': triggeredError,
      'destination': destination
     };
  }

  static List<Notification> listFromJson(List<dynamic> json) {
    return json == null ? new List<Notification>() : json.map((value) => new Notification.fromJson(value)).toList();
  }

  static Map<String, Notification> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Notification>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Notification.fromJson(value));
    }
    return map;
  }
}
